/* Name: align.h                                                             **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse Alignment, die eine Alignierung von      **
**           Sequenzen repraesentiert                                        **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 26.02.1995                                            */

/* ------------------------------------------------------------------------- */


#ifndef ALIGN_H
#define ALIGN_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define MAXALIGNNLETS 15
#define MAXALIGNLEN 1048575
#define MINALIGNNLETS 1
#define MINALIGNLEN 1
#define ALIGNGAPCHAR '-'
#define DEFALIGNNUMBER 0
#define DEFALIGNLENGTH 0
#define DEFALIGNQUALITY 0

/* Deklarierte Klassen                                                       */

@class Alignment;

/* Klasse: Alignment                                                         */

@interface Alignment : Object
{
  char **alignment;
  int number;
  long length;
  int *qualityRow;
  long quality;
}

+ new:(char**)align0 number:(int)num0 length:(long)len0;
+ alloc;
+ (BOOL)isGap:(char)char0;
- init:(char**)align0 number:(int)num0 length:(long)len0;
- setRow:(int)row0 as:(char*)vector0;
- setColumn:(long)col0 as:(char*)vector0;
- setPositionAtRow:(int)row0 column:(long)col0 as:(char)char0;
- setQualityRow:(int*)vector0;
- setQualityRowAtColumn:(long)col0 as:(int)quality0;
- (char**)getAlignment;
- (char**)getAlignmentFrom:(long)i0 to:(long)j0;
- (char*)getRow:(int)row0;
- (char*)getRow:(int)row0 from:(long)i0 to:(long)j0;
- (char*)getColumn:(long)col0;
- (char*)getColumn:(long)col0 from:(long)i0 to:(long)j0;
- (char)getAlignmentAtRow:(int)row0 column:(long)col0;
- (int)getNumber;
- (long)getLength;
- (int*)getQualityRow;
- (int)getQualityRowAtColumn:(long)col0;
- (long)getQuality;
- free;

@end

#endif
