/* Name: arraydbl.h                                                          **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klassen ArrayDouble und ArrayDoubleWStatistics, **
**           die ein Feld reeller Zahlen (mit Statistik) bereitstellen       **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 26.02.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef ARRAYDBL_H
#define ARRAYDBL_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define MAXARRAYSIZE 1048575
#define MINARRAYSIZE 1

/* Deklarierte Klassen                                                       */

@class ArrayDouble;
@class ArrayDoubleWStatistics;

/* Klasse: ArrayDouble                                                       */

@interface ArrayDouble : Object
{
  int size;
  double *array;
}

+ new;
+ new:(int)size0 array:(double*)array0;
+ alloc;
- init;
- init:(int)size0 array:(double*)array0;
- append:(double)value0;
- insertAt:(int)pos0 value:(double)value0;
- deleteAt:(int)pos0;
- (int)getSize;
- (double)getElementAt:(int)pos0;
- free;

@end

/* Klasse: ArrayDoubleWStatistics                                            */

@interface ArrayDoubleWStatistics : ArrayDouble
{
  double sum;
  double mean;
  double stdDeviation;
  BOOL updated;
}

+ updateStatistics:(ArrayDoubleWStatistics*)array0;
- (int)getFrequency:(double)value0;
- (double)getSum;
- (double)getMean;
- (double)getStdDeviation;

@end

#endif
