/* Name: dnanlet.h                                                           **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse DNANLet, die einen Sequenzabschnitt      **
**           einer DNA beschreibt (Ableitung der Klasse NLet)                **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 28.07.1995                                                      **
** Zuletzt bearbeitet: 17.11.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef DNANLET_H
#define DNANLET_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

#include "nlet.h"

/* Konstanten- und Typdefinitionen                                           */

#define DEFDNANLETOFFSET 0

/* Deklarierte Klassen                                                       */

@class DNANLet;

/* Externe Klassen                                                           */

@class ProteinNLet;

/* Klasse: NLet                                                              */

@interface DNANLet : NLet
{
  BOOL unambiguous;
  double informationDensity;
}

+ (BOOL)isInDNAAlphabet:(char)char0;
+ (BOOL)isDNANucleotide:(char)char0;
+ (BOOL)isRNANucleotide:(char)char0;
+ (char)complementaryNucleotide:(char)base0;
+ (char)minimumCommonExtension:(char)firstBase0 and:(char)secondBase0;
+ (char)translateTriplet:(char*)triplet0;
+ (DNANLet*)antisenseStrand:(DNANLet*)dnaNLet0;
+ (DNANLet*)antisenseStrand:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0;
+ (ProteinNLet*)translate:(DNANLet*)dnaNLet0;
+ (ProteinNLet*)translate:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0;
+ (ProteinNLet*)translate:(DNANLet*)dnaNLet0 withOffset:(int)offset0;
+ (ProteinNLet*)translate:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0 withOffset:(int)offset0;
+ (DNANLet*)tripletReverse:(DNANLet*)dnaNLet0;
+ (DNANLet*)tripletReverse:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0;
+ (DNANLet*)tripletReverse:(DNANLet*)dnaNLet0 withOffset:(int)offset0;
+ (DNANLet*)tripletReverse:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0 withOffset:(int)offset0;
+ (DNANLet*)minimumInformation:(DNANLet*)dnaNLet0;
+ (DNANLet*)minimumInformation:(DNANLet*)dnaNLet0 from:(long)i0 to:(long)j0;
- (BOOL)isUnambiguous;
- (double)getInformationDensity;

@end

#endif
