/* Name: error.m                                                             **
**                                                                           **
**                                                                           **
** Funktion: Implementation der Klasse ErrorHandler, die der Fehlerbehand-   **
**           lung dient; von dieser Klasse gibt es keine Instanzen           **
**                                                                           **
** Aufruf: -- (Linken mit anderen .o-Dateien moeglich)                       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 16.08.1996                                            */

/* ------------------------------------------------------------------------- */


/* Include-Dateien                                                           */

#include "error.h"
#include "constant.h"

#include <stdio.h>
#include <string.h>

/* Klasse: ErrorHandler                                                      */

@implementation ErrorHandler

+ (int)error:(int)errorNum0
{
  switch(errorNum0)
    {
    case ERRNOERROR:
      fprintf(stderr,"Error %d: Errorfree execution.\n",errorNum0);
      break;
    case ERRMEMORY:
      fprintf(stderr,"Error %d: Memory fault.\n",errorNum0);
      break;
    case ERRMEMNOTENOUGH:
      fprintf(stderr,"Error %d: Not enough memory.\n",errorNum0);
      break;
    case ERRFILEOPEN:
      fprintf(stderr,"Error %d: File cannot be opened.\n",errorNum0);
      break;
    case ERRFILENOTPRES:
      fprintf(stderr,"Error %d: File not present.\n",errorNum0);
      break;
    case ERRFILECLOSE:
      fprintf(stderr,"Error %d: File cannot be closed.\n",errorNum0);
      break;
    case ERRFILEPPOS:
      fprintf(stderr,"Error %d: File pointer not correct.\n",errorNum0);
      break;
    case ERRFILEPSETPOS:
      fprintf(stderr,"Error %d: File pointer cannot be set correctly.\n",errorNum0);
      break;
    case ERRFILEEOF:
      fprintf(stderr,"Error %d: End of file reached.\n",errorNum0);
      break;
    case ERRFILEFORMATUNK:
      fprintf(stderr,"Error %d: Unknown file format.\n",errorNum0);
      break;
    case ERRFILEFORMATSUPP:
      fprintf(stderr,"Error %d: File format not supported.\n",errorNum0);
      break;
    case ERRPIPEOPEN:
      fprintf(stderr,"Error %d: Pipe cannot be opened.\n",errorNum0);
      break;
    case ERRPIPECLOSE:
      fprintf(stderr,"Error %d: Pipe cannot be closed.\n",errorNum0);
      break;
    case ERROBJNOTPRES:
      fprintf(stderr,"Error %d: Object does not exist.\n",errorNum0);
      break;
    case ERROBJCREATE:
      fprintf(stderr,"Error %d: Object cannot be created.\n",errorNum0);
      break;
    case ERROBJDELETE:
      fprintf(stderr,"Error %d: Object cannot be deleted.\n",errorNum0);
      break;
    case ERROBJINIT:
      fprintf(stderr,"Error %d: Object could not be initialized correctly.\n",errorNum0);
      break;
    case ERROBJSETINSTVAR:
      fprintf(stderr,"Error %d: Instance variable of object cannot be set correctly.\n",errorNum0);
      break;
    case ERROBJGETINSTVAR:
      fprintf(stderr,"Error %d: Instance variable of object cannot be retrieved correctly.\n",errorNum0);
      break;
    case ERROBJSETCLASSVAR:
      fprintf(stderr,"Error %d: Class variable cannot be set correctly.\n",errorNum0);
      break;
    case ERROBJGETCLASSVAR:
      fprintf(stderr,"Error %d: Class variable cannot be retrieved correctly.\n",errorNum0);
      break;
    case ERRMETHODNOTPRES:
      fprintf(stderr,"Error %d: Method does not exist.\n",errorNum0);
      break;
    case ERRMETHODRESP:
      fprintf(stderr,"Error %d: Receiver does not respond to message.\n",errorNum0);
      break;
    case ERRMETHODFAIL:
      fprintf(stderr,"Error %d: Method cannot be handled correctly.\n",errorNum0);
      break;
    case ERRMETHODWRONGOBJ:
      fprintf(stderr,"Error %d: Method cannot be performed correctly on participating object(s).\n",errorNum0);
      break;
    case ERRDBCONNECTNOTPRES:
      fprintf(stderr,"Error %d: No connection to the database.\n",errorNum0);
      break;
    case ERRDBCONNECTEXIST:
      fprintf(stderr,"Error %d: Connection to the database does exist.\n",errorNum0);
      break;
    case ERRDBNOFETCH:
      fprintf(stderr,"Error %d: Fetching from the database was not successful.\n",errorNum0);
      break;
    case ERROTHER:
      fprintf(stderr,"Error %d: Unspecified error.\n",errorNum0);
      break;
    default: 
      fprintf(stderr,"Error %d: Unspecified error.\n",errorNum0);
      break;
    }
  return errorNum0;
}

+ (int)errorMessage:(char*)errorMsg0;
{
  fprintf(stderr,"Error %d: %s\n",ERROTHER,errorMsg0);
  return ERROTHER;
}

@end
