/* Name: llist.h                                                             **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klassen LinkedList und LinkedListElement, mit   **
**           denen sich einfach verkettete Liste bilden lassen               **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 19.10.1995                                                      **
** Zuletzt bearbeitet: 08.10.1997                                            */

/* ------------------------------------------------------------------------- */


#ifndef LLIST_H
#define LLIST_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define LLISTNOLENLIM 0

/* Deklarierte Klassen                                                       */

@class LinkedList;
@class LinkedListElement;

/* Klasse: LinkedList                                                        */

@interface LinkedList : Object
{
  LinkedListElement *head;
  long length;
  long lengthLimit;
}

+ new;
+ alloc;
- init;
- append:object0;
- insertAt:(long)pos0 object:object0;
- deleteAt:(long)pos0;
- deleteAndDestroyAt:(long)pos0;
- deleteAll:object0;
- deleteFirst:object0;
- empty;
- emptyAndDestroy;
- setLengthLimit:(long)lim0;
- (LinkedListElement*)getHead;
- getObjectAt:(long)pos0;
- (long)getFirstPosOf:object0;
- (BOOL)isEmpty;
- (long)getLength;
- (long)getLengthLimit;
- freeNoDestroy;
- free;

@end

/* Klasse: LinkedListElement                                                 */

@interface LinkedListElement : Object
{
  id object;
  LinkedListElement *next;
}

+ new:object0;
+ alloc;
- init:object0;
- setNext:(LinkedListElement*)element0;
- getObject;
- getNext;
- freeNoDestroy;
- free;

@end

#endif
