/* Name: lpolymer.h                                                          **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse LinearPolymer, die beschreibende         **
**           Information ueber Lineare Polymere enthaelt                     **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 07.02.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef LPOLYMER_H
#define LPOLYMER_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define DEFLPOLYMERSOURCE "No Source"
#define DEFLPOLYMERLOCALID "No ID"
#define DEFLPOLYMERPRIMACCESSION "No primary accession"
#define DEFLPOLYMERDESCRIPTION "No description"

/* Deklarierte Klassen                                                       */

@class LinearPolymer;

/* Klasse: LinearPolymer                                                     */

@interface LinearPolymer : Object
{
  char *source;
  char *localID;
  char *primAccession;
  char *description;
  id nlet;
}

+ new:nlet0 source:(char*)source0 localID:(char*)localID0 primAccession:(char*)primAccession0;
+ new:nlet0;
+ alloc;
- init:nlet0 source:(char*)source0 localID:(char*)localID0 primAccession:(char*)primAccession0;
- init:nlet0;
- setSource:(char*)source0;
- setLocalID:(char*)localID0;
- setPrimAccession:(char*)primAccession0;
- setDescription:(char*)description0;
- setSequence:(char*)sequence0;
- (char*)getSource;
- (char*)getLocalID;
- (char*)getPrimAccession;
- (char*)getDescription;
- getNLet;
- (char*)getSequence;
- (char*)getSequenceFrom:(long)i0 to:(long)j0;
- (char)getSequenceAt:(long)pos0;
- (long)getLength;
- (long*)getComposition;
- (long)getCompositionFor:(char)char0;
- free;

@end

#endif
