/* Name: matrint.h                                                           **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse MatrixInteger, die eine Matrix von       **
**           ganzen Zahlen bereitstellt                                      **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 27.02.1996                                                      **
** Zuletzt bearbeitet: 27.02.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef MATRINT_H
#define MATRINT_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define MAXMATRIXROWS 255
#define MAXMATRIXCOLS 255
#define MINMATRIXROWS 1
#define MINMATRIXCOLS 1
#define DEFMATRIXDESCRIPTION "No Description"

/* Deklarierte Klassen                                                       */

@class MatrixInteger;

/* Klasse: MatrixInteger                                                     */

@interface MatrixInteger : Object
{
  char *description;
  int rows;
  int columns;
  int **matrix;
}

+ new:(int**)matrix0 rows:(int)rows0 columns:(int)cols0;
+ alloc;
- init:(int**)matrix0 rows:(int)rows0 columns:(int)cols0;
- setDescription:(char*)description0;
- setElement:(int)value0 row:(int)row0 column:(int)col0;
- (char*)getDescription;
- (int)getRows;
- (int)getColumns;
- (int)getElementAtRow:(int)row0 column:(int)col0;
- free;

@end

#endif
