/* Name: nlet.h                                                              **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse NLet, die einen Sequenzabschnitt         **
**           beschreibt                                                      **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 22.07.1995                                                      **
** Zuletzt bearbeitet: 06.03.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef NLET_H
#define NLET_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

/* Konstanten- und Typdefinitionen                                           */

#define MAXSEQUENCELEN 1048575
#define MINSEQUENCELEN 1
#define DEFNLETLEN 0
#define DEFNLETSEQUENCE ""
#define DEFNLETELEMENT '\0'

/* Deklarierte Klassen                                                       */

@class NLet;

/* Klasse: NLet                                                              */

@interface NLet : Object
{
  char *sequence;
  long length;
  long *composition;
}

+ new:(char*)seq0;
+ alloc;
+ (NLet*)reverse:(NLet*)nlet0;
+ (NLet*)reverse:(NLet*)nlet0 from:(long)i0 to:(long)j0;
- init:(char*)seq0;
- setSequence:(char*)seq0;
- (char*)getSequence;
- (char*)getSequenceFrom:(long)i0 to:(long)j0;
- (char)getSequenceAt:(long)pos0;
- (long)getLength;
- (long*)getComposition;
- (long)getCompositionFor:(char)char0;
- free;

@end

#endif
