/* Name: protnlet.h                                                          **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse ProteinNLet, die einen Sequenzabschnitt  **
**           einer DNA beschreibt (Ableitung der Klasse NLet)                **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 28.07.1995                                                      **
** Zuletzt bearbeitet: 01.04.1997                                            */

/* ------------------------------------------------------------------------- */


#ifndef PROTNLET_H
#define PROTNLET_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

#include "nlet.h"

/* Konstanten- und Typdefinitionen                                           */

#define PROTNLETSTOP '*'

/* Deklarierte Klassen                                                       */

@class ProteinNLet;

/* Externe Klassen                                                           */

@class DNANLet;

/* Klasse: NLet                                                              */

@interface ProteinNLet : NLet

+ (BOOL)isInProteinAlphabet:(char)char0;
+ (BOOL)isAminoAcid:(char)char0;
+ (BOOL)isComposedAminoAcid:(char)char0;
+ (BOOL)isUnknownAminoAcid:(char)char0;
+ (BOOL)isStop:(char)char0;
+ (char*)retranslateAminoAcid:(char)aminoAcid0;
+ (DNANLet*)retranslate:(ProteinNLet*)proteinNLet0;
+ (DNANLet*)retranslate:(ProteinNLet*)proteinNLet0 from:(long)i0 to:(long)j0;

@end

#endif
