/* Name: rwheel.h                                                            **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse RouletteWheel, die eine                  **
**           Rouletteradauswahl bereitstellt (Ableitung der Klasse           **
**           ArrayDouble                                                     **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 15.11.1996                                                      **
** Zuletzt bearbeitet: 15.11.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef RWHEEL_H
#define RWHEEL_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

#include "arraydbl.h"

/* Konstanten- und Typdefinitionen                                           */

#define DEFRWHEELSEGMENT 0.0

/* Deklarierte Klassen                                                       */

@class RouletteWheel;

/* Klasse: RouletteWheel                                                     */

@interface RouletteWheel : ArrayDouble

+ new:(int)size0 segments:(double*)segments0;
+ (void)initRandomGenerator;
- init:(int)size0 segments:(double*)segments0;
- (int)select;

@end

#endif
